##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AxiMicronN25Q.yaml

AxiMicronN25Q: &AxiMicronN25Q
  name: AxiMicronN25Q
  description: AXI-Lite Micron N25Q and Micron MT25Q PROM
  class: MMIODev
  configPrio: 1
  size: 0x400
  #########
  children:
  #########
    #########################################################
    Test:
      at:
        offset: 0x00
      class: IntField
      mode: RW
      description: Scratch Pad tester register
    #########################################################
    Addr32BitMode:
      at:
        offset: 0x04
      class: IntField
      sizeBits: 1
      mode: RW
      description: Enable 32-bit PROM mode
    #########################################################
    Addr:
      at:
        offset: 0x08
      class: IntField
      mode: RW
      description: Address Register
    #########################################################
    Cmd:
      at:
        offset: 0x0C
      class: IntField
      mode: RW
      description: Command Register
    #########################################################
    Data:
      at:
        offset: 0x200
        nelms: 64
      class: IntField
      mode: RW
      description: Data Register Array
    #########################################################
